Page MenuHomePhabricator

noreferences must recognize footnote groups
Open, MediumPublic

Description

e.g.
<references group="foo" /> or <references group="foo">…</references>
are valid tags

Event Timeline

Xqt created this task.May 10 2015, 10:52 AM
Xqt raised the priority of this task from to Medium.
Xqt updated the task description. (Show Details)
Xqt added projects: Pywikibot, Pywikibot-Scripts.
Xqt added a subscriber: Xqt.
Restricted Application added subscribers: Aklapper, Unknown Object (MLST). · View Herald TranscriptMay 10 2015, 10:52 AM
XZise added a subscriber: XZise.May 10 2015, 11:00 AM

The second one (<references group="foo") is not a valid tag as it's not closed. I'm not sure if you want to list three cases or two cases and that the closing tag belongs to the second opening tag (then only a > is missing).

Change 209966 had a related patch set uploaded (by Xqt):
[bugfix] recognize footnote groups inside reference tags

https://gerrit.wikimedia.org/r/209966

Xqt claimed this task.May 10 2015, 11:39 AM
XZise added a comment.EditedMay 10 2015, 11:52 AM

Okay simple question: Are there three or two examples in your post? I also don't see an example in your link to Wikipedia where it has an open references tag (with a missing >).

Edit: Okay your patch makes it clear that it's two examples and that the second example is missing a closing > for the opening tag.

XZise updated the task description. (Show Details)May 10 2015, 11:59 AM
XZise set Security to None.
xSavitar moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:37 AM

@Xqt: Hi! This task has been assigned to you a while ago. Could you maybe share an update? Do you still plan to work on this task, or do you need any help?
If this task is not resolved and only if you do not plan to work on this task anymore: Please consider removing yourself as assignee (via Add Action...Assign / Claim in the dropdown menu): That would allow others to work on this (in theory), as others won't think that someone is already working on this. Thanks! :)

Aklapper removed Xqt as the assignee of this task.Jun 19 2020, 4:25 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

Xqt claimed this task.Jun 19 2020, 4:42 PM

@Xqt how are things going here, if you please?

I have posted T55936 a long time ago and it seems to be connected: the issue moved from compat to core, unfortunately.

Do I need to post a separate bug for core? Or, at least, some -nogroup option of ignoring such references could be helpful

Xqt added a comment.Oct 25 2020, 7:29 PM

@Xqt how are things going here, if you please?

I have posted T55936 a long time ago and it seems to be connected: the issue moved from compat to core, unfortunately.

Do I need to post a separate bug for core? Or, at least, some -nogroup option of ignoring such references could be helpful

The other task is still valid. unfortunately nobody worked on it. Personally I haven't used that script and I am not very familar with it. Can you arrange a test page e.g. on test wikipedia and describe an expected result for that script. That would be very helpfull.